image: buildpack-deps

variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build
  - test

regular-make:
  stage: build
  script:
    - make

regular-testing:
  stage: test
  script:
    - echo "regular testing"

fuzzing:
  only:
   - web
  script:
    - cd extern/afl && make && make install
    - echo core >/proc/sys/kernel/core_pattern
    - cd ../../ && make test

blackbox-fuzzing:
  only:
    - web
  script:
    - cd extern/afl && make
    - cd qemu_mode/ && ./build_qemu_support.sh
    - cd ../ && make install
    - echo core >/proc/sys/kernel/core_pattern
    - cd ../../ && make blackboxtest